<%@ Page Title="" Language="C#" MasterPageFile="~/Styles/MasterPage/MasterPage_Edit.master" AutoEventWireup="true" CodeFile="Customer_FollowUp_Edit.aspx.cs" Inherits="Base_Customer_FollowUp_Customer_FollowUp_Edit" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <script type="text/javascript">
        var action = '<%=xview["action"]%>';
        function Save() {
            var cfu_id = $('#cfu_id').val();
            var fu_date = $('#fu_date').val();//跟进日期
            var fu_user = $('#fu_user').val();//跟进人
            var remark = $('#remark').val();//跟进内容
            var action = '<%=xview["action"]%>';
            var cus_id = '<%=xview["cus_id"]%>';
            parent.ShowLoadingMask(); //显示遮罩
            $.ajax({
                type: "POST",
                contentType: "application/json",
                url: 'Customer_FollowUp_Service.asmx/Save',
                data: "{action:'" + action + "',cus_id:'" + cus_id + "',cfu_id:'" + cfu_id + "',fu_date:'" + fu_date + "',fu_user:'" + fu_user + "',remark:'" + remark + "'}",
                dataType: 'json',
                success: function (result) {
                    parent.HideLoadingMask(); //关闭遮罩
                    var r = result.d;
                    if (r == "success") {
                        parent.AlertOK('保存成功!');
                        parent.search_grid();
                        CloseDivWin(); //关闭窗口
                    } else {
                        parent.AlertNO(r);
                    }
                }
            });
        }
    </script>
    <!--工具栏-->
    <div class="list_menu_bar">
        <a plain="true" class="easyui-linkbutton" iconcls="icon-save" onclick="Save()" style='<%=auth.AuthView("Base_Customer_Edit")%>'>保存</a>
    </div>
    <div style="width:600px;height:300px;overflow:auto;">
        <div style="margin:20px">
            <input type='hidden' id='cfu_id' value='<%=Request["id"]%>'/>
            <div>
                跟进日期：<input type='text' class='edit_text_box' style="float:none" id='fu_date' value='<%=String.Format("{0:yyyy-MM-dd}", m.fu_date)%>' style='width:120px;' onclick='ShowDateControl()' />
                跟进人：<input type='text' class='edit_text_box' style="float:none" id='fu_user' value='<%=m.fu_user%>' style='width:120px;' /></td></tr>
            </div>
            <div>跟进内容：</div>
            <div>
                <textarea class='edit_text_box' id='remark' style='width:500px;height:200px;'><%=m.remark%></textarea></td></tr>
            </div>
        </div>
    </div>
    <script type="text/javascript">
        //初始化页面
        function init_page() {
            <%if(action.Equals("Update")){ %>

            <%} %>
        }
        init_page();

    </script>
</asp:Content>

